geonetworking_layer.hh File Reference

Header file for ITS GeoNetworking protocol layer. More...

`#include <unistd.h>`
`#include <signal.h>`
`#include <time.h>`
`#include <mutex>`
`#include "t_layer.hh"`
`#include "GeoNetworkingCodec.hh"`
`#include "location_table.hh"`

Go to the source code of this file.

## Classes

class | geonetworking_layer
| This class provides description of ITS GeoNetworking protocol layer. More...

## Namespaces

| LibItsGeoNetworking__TestSystem
| Forward declaration of TITAN class.
| LibItsGeoNetworking__TypesAndValues

## Detailed Description

Header file for ITS GeoNetworking protocol layer.

Author
  ETSI STF525

Copyright
  ETSI Copyright Notification No part may be reproduced except as authorized by written permission. The copyright and the foregoing restriction extend to reproduction in all media. All rights reserved.

Version
  0.1